<?php

// web routes  for customer
Route::prefix('{guard}/customer')->group(function () {
    Route::resource('customer', 'CustomerResourceController');
});

// Public routes for customer
Route::get('customers/', 'CustomerPublicController@index');
Route::get('customers/{slug?}', 'CustomerPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'CustomerResourceController');
            });
            // Public routes for pages
            Route::get('customers/', 'CustomerPublicController@index');
            Route::get('customers/{slug?}', 'CustomerPublicController@show');
        }
    );
}


// web routes  for call
Route::prefix('{guard}/customer')->group(function () {
    Route::resource('call', 'CallResourceController');
});

// Public routes for call
Route::get('customers/', 'CallPublicController@index');
Route::get('customers/{slug?}', 'CallPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'CallResourceController');
            });
            // Public routes for pages
            Route::get('customers/', 'CallPublicController@index');
            Route::get('customers/{slug?}', 'CallPublicController@show');
        }
    );
}


// web routes  for status
Route::prefix('{guard}/customer')->group(function () {
    Route::resource('status', 'StatusResourceController');
});

// Public routes for status
Route::get('customers/', 'StatusPublicController@index');
Route::get('customers/{slug?}', 'StatusPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'StatusResourceController');
            });
            // Public routes for pages
            Route::get('customers/', 'StatusPublicController@index');
            Route::get('customers/{slug?}', 'StatusPublicController@show');
        }
    );
}

