<?php

namespace Hrm\Customer\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class StatusTransformer extends TransformerAbstract
{
    public function transform(\Hrm\Customer\Models\Status $status)
    {
        return [
            'id'                => $status->getRouteKey(),
            'key'               => [
                'public'    => $status->getPublicKey(),
                'route'     => $status->getRouteKey(),
            ], 
            'name'              => $status->name,
            'description'       => $status->description,
            'order'             => $status->order,
            'deleted_at'        => $status->deleted_at,
            'url'               => [
                'public'    => trans_url('customer/'.$status->getPublicKey()),
                'user'      => guard_url('customer/status/'.$status->getRouteKey()),
            ], 
            'status'            => trans('app.'.$status->status),
            'created_at'        => format_date($status->created_at),
            'updated_at'        => format_date($status->updated_at),
        ];
    }
}